Index: de.wigbels.ruby/hothotread/draw_graphs.sh
===================================================================
--- de.wigbels.ruby/hothotread/draw_graphs.sh	(revision f38145a867406dfe68b3d1767be1d1a46e949f03)
+++ de.wigbels.ruby/hothotread/draw_graphs.sh	(revision aa10f5cc83274d67ecb9767658dfa685b0a34bbc)
@@ -28,2 +28,18 @@
 rrdtool graph web/counter_1week.png   -s 'now -1 week' -e 'now'   -X 0 -Y -A   DEF:counter=power.rrd:counter:LAST   LINE2:counter#000000:"ZÃ€hlerstand [kWh]"
 rrdtool graph web/counter_1month.png   -s 'now -1 month' -e 'now'   -X 0 -Y -A   DEF:counter=power.rrd:counter:LAST   LINE2:counter#000000:"ZÃ€hlerstand [kWh]"
+
+
+rrdtool graph web/wconsum_10minutes.png   -s 'now -10 minutes' -e 'now'   -Y -A   DEF:consum=water.rrd:consum:AVERAGE CDEF:wconsum=consum,3,/ LINE2:wconsum#0066ff:"Verbrauch [L]"
+rrdtool graph web/wconsum_30minutes.png   -s 'now -30 minutes' -e 'now'   -Y -A   DEF:consum=water.rrd:consum:AVERAGE CDEF:wconsum=consum,3,/ LINE2:wconsum#0066ff:"Verbrauch [L]"
+rrdtool graph web/wconsum_1hour.png   -s 'now -1 hour' -e 'now'   -Y -A   DEF:consum=water.rrd:consum:AVERAGE CDEF:wconsum=consum,3,/ LINE2:wconsum#0066ff:"Verbrauch[L]"
+rrdtool graph web/wconsum_3hour.png   -s 'now -3 hour' -e 'now'   -Y -A   DEF:consum=water.rrd:consum:AVERAGE CDEF:wconsum=consum,3,/ LINE2:wconsum#0066ff:"Verbrauch [L]"
+rrdtool graph web/wconsum_6hour.png   -s 'now -6 hour' -e 'now'   -Y -A   DEF:consum=water.rrd:consum:AVERAGE CDEF:wconsum=consum,3,/ LINE2:wconsum#0066ff:"Verbrauch [L]"
+rrdtool graph web/wconsum_12hour.png   -s 'now -12 hour' -e 'now'   -Y -A   DEF:consum=water.rrd:consum:AVERAGE CDEF:wconsum=consum,3,/ LINE2:wconsum#0066ff:"Verbrauch [L]"
+rrdtool graph web/wconsum_1day.png   -s 'now -1 day' -e 'now'   -Y -A   DEF:consum=water.rrd:consum:AVERAGE CDEF:wconsum=consum,3,/ LINE2:wconsum#0066ff:"Verbrauch [L]"
+rrdtool graph web/wconsum_1week.png   -s 'now -1 week' -e 'now'   -Y -A   DEF:consum=water.rrd:consum:AVERAGE CDEF:wconsum=consum,3,/ LINE2:wconsum#0066ff:"Verbrauch [L]"
+rrdtool graph web/wconsum_1month.png   -s 'now -1 month' -e 'now'   -Y -A   DEF:consum=water.rrd:consum:AVERAGE CDEF:wconsum=consum,3,/ LINE2:wconsum#0066ff:"Verbrauch [L]"
+rrdtool graph web/wconsum_1year.png   -s 'now -1 year' -e 'now'   -Y -A   DEF:consum=water.rrd:consum:AVERAGE CDEF:wconsum=consum,3,/ LINE2:wconsum#0066ff:"Verbrauch [L]"
+rrdtool graph web/wconsum_2year.png   -s 'now -2 year' -e 'now'   -Y -A   DEF:consum=water.rrd:consum:AVERAGE CDEF:wconsum=consum,3,/ LINE2:wconsum#0066ff:"Verbrauch [L]"
+
+rrdtool graph web/wcounter_1week.png   -s 'now -1 week' -e 'now'   -X 0 -Y -A   DEF:counter=water.rrd:counter:LAST CDEF:wcounter=counter,3,/ LINE2:wcounter#000000:"ZÃ€hlerstand [qm2]"
+rrdtool graph web/wcounter_1month.png   -s 'now -1 month' -e 'now'   -X 0 -Y -A   DEF:counter=water.rrd:counter:LAST CDEF:wcounter=counter,3,/ LINE2:wcounter#000000:"ZÃ€hlerstand [qm2]"
Index: de.wigbels.ruby/hothotread/hothotpiper_water.rb
===================================================================
--- de.wigbels.ruby/hothotread/hothotpiper_water.rb	(revision f38145a867406dfe68b3d1767be1d1a46e949f03)
+++ de.wigbels.ruby/hothotread/hothotpiper_water.rb	(revision aa10f5cc83274d67ecb9767658dfa685b0a34bbc)
@@ -7,5 +7,5 @@
 
 mypath = File.expand_path(File.dirname(__FILE__))
-trigger_step = 0.001
+trigger_step = 1
 trigger_watch = 0
 counter = 0.0
@@ -26,5 +26,5 @@
 end
 
-watch :pin => 9, :trigger => :rising do
+watch :pin => 18, :trigger => :falling do
   puts('triggered watch to 1')
   trigger_watch = 1
@@ -40,10 +40,10 @@
     if trigger_watch == 1 then
       counter = counter + trigger_step
-#system("rrdtool update #{rrdpath} N:#{counter}:#{trigger_step}")
+      system("rrdtool update #{rrdpath} N:#{counter}:#{trigger_step}")
       puts('Counter updated to: ' + counter.to_s)
       timestamp =  Time.now.to_i
       trigger_watch = 0
     elsif Time.now.to_i - timestamp > 3600
-#     system("rrdtool update #{rrdpath} N:#{counter}:0")
+      system("rrdtool update #{rrdpath} N:#{counter}:0")
       timestamp = Time.now.to_i
     end
Index: de.wigbels.ruby/hothotread/web/index.html
===================================================================
--- de.wigbels.ruby/hothotread/web/index.html	(revision f38145a867406dfe68b3d1767be1d1a46e949f03)
+++ de.wigbels.ruby/hothotread/web/index.html	(revision aa10f5cc83274d67ecb9767658dfa685b0a34bbc)
@@ -33,4 +33,19 @@
 <img src="counter_1week.png">
 
+<h2>Wasser</h2>
+<img src="wconsum_10minutes.png">
+<img src="wconsum_30minutes.png">
+<img src="wconsum_1hour.png">
+<img src="wconsum_3hour.png">
+<img src="wconsum_6hour.png">
+<img src="wconsum_12hour.png">
+<img src="wconsum_1day.png">
+<img src="wconsum_1week.png">
+<img src="wconsum_1month.png">
+<img src="wconsum_1year.png">
+<img src="wconsum_2year.png">
+<img src="wcounter_1month.png">
+<img src="wcounter_1week.png">
+
 </body>
 </html>
